# Method: admin.directory.v1.customers.chrome.printers.listPrinterModels

Lists the supported printer models.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printers:listPrinterModels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the customer who owns this collection of printers. Format: customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of objects to return. The service may return fewer than this value. |
| `pageToken` | `string` A page token, received from a previous call. |
| `filter` | `string` Filer to list only models by a given manufacturer in format: "manufacturer:Brother". Search syntax is shared between this api and Admin Console printers pages. |

### Request body

The request body must be empty.

### Response body

Response for listing allowed printer models.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printerModels": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers/listPrinterModels#PrinterModel`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `printerModels[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers/listPrinterModels#PrinterModel`)`` Printer models that are currently allowed to be configured for ChromeOs. Some printers may be added or removed over time. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.chrome.printers`
- `
  https://www.googleapis.com/auth/admin.chrome.printers.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## PrinterModel

Printer manufacturer and model

| JSON representation |
|---|
| ``` { "manufacturer": string, "displayName": string, "makeAndModel": string } ``` |

| Fields ||
|---|---|
| `manufacturer` | `string` Manufacturer. eq. "Brother" |
| `displayName` | `string` Display name. eq. "Brother MFC-8840D" |
| `makeAndModel` | `string` Make and model as represented in "makeAndModel" field in Printer object. eq. "brother mfc-8840d" |